Package twisted :: Package internet :: Module protocol :: Class ProtocolToConsumerAdapter |
[frames | no frames]

## Class ProtocolToConsumerAdapter

    Adapter --+
              |
             ProtocolToConsumerAdapter

This class is unstable.

Method Summary
| `registerProducer(self, producer, streaming)`
| `unregisterProducer(self)`
| `write(self, data)`
Inherited from Adapter
| ``__init__`(self, original)` Set my 'original' attribute to be the object I am adapting.
| ``getComponent`(self, interface, registry, default)` I forward getComponent to self.original on the assumption that it is an instance of Componentized.
| ``isuper`(self, iface, adapter)` Forward isuper to self.original

Class Variable Summary
`class` | `__implements__` = `twisted.internet.interfaces.IConsumer`
Inherited from Adapter
`int` | `multiComponent`: If this adapter is persistent, should it be automatically registered for all appropriate interfaces.
`int` | `temporaryAdapter`: If this is True, the adapter will not be persisted on the Componentized.

Generated by Epydoc 2.0 on Sat Oct 25 00:55:08 2003 | http://epydoc.sf.net